#ifndef INPUTEVENTHEADER
#define INPUTEVENTHEADER
#include "Vector3.h"
#include "TimeStamp.h"


class InputEvent
{
protected:
	

	//friend class Scene;
	
	friend bool operator<(const InputEvent & ie1,const InputEvent & ie2);
public:
	typedef enum EventType{
		KeyDown,
		KeyUp,
		MouseButtonDown,
		MouseButtonUp,
		MouseDrag,
		UnknownEvent
	};
	EventType type;
	TimeStamp timeStamp;
	Vector3 coordinate;
	unsigned int ID;

	InputEvent();
	~InputEvent();
	void SetParams(const EventType t, const Vector3 & coord, const int id);	
};

#endif
