#ifndef SCENEHEADER
#define SCENEHEADER
#include "InputEvent.h"
#include "TimeStamp.h"
#include <set>

class Scene 
{
public:
	Scene();
	~Scene();

	void AddInputEvent(InputEvent & event);
	virtual bool Initialize() =0;
	virtual void RenderPersp() =0;
	virtual void RenderOrtho() =0;
	virtual void Update() = 0;

protected:
	std::set<InputEvent> events;
};


#endif 
